LegacyHTMLStripCharFilterFactory (Solr 3.6.2 API)
Keywords: org.apache.solr.analysis.LegacyHTMLStripCharFilterFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.analysis
Class LegacyHTMLStripCharFilterFactory

    java.lang.Object
      org.apache.solr.analysis.BaseCharFilterFactory
          org.apache.solr.analysis.LegacyHTMLStripCharFilterFactory

All Implemented Interfaces:
  CharFilterFactory

Deprecated. use `HTMLStripCharFilterFactory`

    @Deprecated
    public class LegacyHTMLStripCharFilterFactory

extends BaseCharFilterFactory

Factory for `LegacyHTMLStripCharFilter`.

     <fieldType name="text_html_legacy" class="solr.TextField" positionIncrementGap="100">
     <analyzer>
         <charFilter class="solr.LegacyHTMLStripCharFilterFactory"/>
     <tokenizer class="solr.WhitespaceTokenizerFactory"/>
     </analyzer>
     </fieldType>

This factory is NOT recommended for new users and should be considered UNSUPPORTED.

In Solr version 3.5 and earlier, `HTMLStripCharFilter(Factory)` had known bugs in the offsets it provided, triggering e.g. exceptions in highlighting.

This class is provided as possible alternative for people who depend on the "broken" behavior of `HTMLStripCharFilter` in Solr version 3.5 and earlier, and/or who don't like the changes introduced by the Solr 3.6+ version of `HTMLStripCharFilterFactory`. (See the 3.6.0 release section of lucene/CHANGES.txt for a list of differences in behavior.)

Field Summary

Fields inherited from class org.apache.solr.analysis.BaseCharFilterFactory
`args, log`

Constructor Summary
`LegacyHTMLStripCharFilterFactory()` Deprecated.

Method Summary
`LegacyHTMLStripCharFilter` | `create(CharStream input)` Deprecated.

Methods inherited from class org.apache.solr.analysis.BaseCharFilterFactory
`getArgs, getInt, getInt, getInt, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegacyHTMLStripCharFilterFactory

    public LegacyHTMLStripCharFilterFactory()

  Deprecated.

Method Detail

### create

    public LegacyHTMLStripCharFilter create(CharStream input)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD